.property-features-with-popup {
    padding-bottom: 1rem;
}

.property-features-with-popup__wrapper {
    width: 100%;
    padding-top: 1rem;
    padding-left: 1rem;
    padding-right: 1rem;
}

/* For tablet landscape up */
@media (min-width: 900px) {
    .property-features-with-popup__wrapper {
        width: 95%;
    }
}

.property-features-with-popup__header {
    padding-top: 1rem;
    padding-bottom: 1rem;
    border-top: 1px solid var(--light-gray);
}

.property-features-with-popup__header {
    padding-bottom: 1rem;
}

.property-features-with-popup__header h2 {
    text-transform: uppercase;
    font-size: 1em;
    font-weight: bold;
    font-family: var(--accent-font-family);
    color: var(--primary-color);
}

/* For tablet landscape up */
@media (min-width: 900px) {
    .property-features-with-popup__header h2 {
        font-size: 1.15em;
    }
}

.property-features-with-popup__header p {
    font-size: 1.10em;
    line-height: 1.4;
    padding-top: 0.50rem;
    color: #595959;
}

.property-features-with-popup__dialog-content-slider,
.property-features-with-popup__gallery {
    width: 100%;
    overflow: hidden;
}

.property-features-with-popup__gallery .swiper-wrapper {
    padding-top: 1rem;
}

.property-features-with-popup__gallery .swiper-slide {
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.property-features-with-popup__gallery .swiper-slide figure {
    width: 100%;
    max-height: 50dvh;
    aspect-ratio: 2 / 5;
}

/* For tablet landscape up */
@media (min-width: 900px) {
    .property-features-with-popup__gallery .swiper-slide figure {
        max-width: calc(100dvw / 3);
        max-height: 70dvh;
    }
}

.property-features-with-popup__gallery .swiper-slide .overlay {
    width: 100dvw;
}

.property-features-with-popup__gallery .swiper-slide figure img,
.property-features-with-popup__gallery .swiper-slide figure video {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
    border-top-right-radius: 20px;
    border-top-left-radius: 20px;
    border-bottom-right-radius: 20px;
}

.property-features-with-popup__item-overlay {
    z-index: 1;
    width: 100%;
    position: absolute;
    inset: 0;
    display: flex;
    justify-content: center;
    align-items: flex-end;
    pointer-events: none;
    padding: 2rem;
    border-top-right-radius: 20px;
    border-top-left-radius: 20px;
    border-bottom-right-radius: 20px;
}

/* For tablet landscape up */
@media (min-width: 900px) {
    .property-features-with-popup__item-overlay {
        max-height: 70dvh;
    }
}

.property-features-with-popup__item-overlay p {
    font-family: var(--accent-font-family);
    font-weight: bold;
    text-transform: uppercase;
    color: var(--white);
}

/* MEDIA DIALOG */
/*==============*/

.property-features-with-popup__dialog {
    z-index: 1;
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    position: fixed;
    padding: 0;
    border: none;
    background-color: unset;

    transition: scale 0.30s ease-out, 
                opacity 0.15s ease-out,
                display 0.30s allow-discrete;

}
  
/* For tablet landscape up */
@media (min-width: 900px) {
    .property-features-with-popup__dialog {
        overflow: hidden;
        padding-top: 0.25rem;
    }
}
  
.property-features-with-popup__dialog[open] {
    scale: 1;
    opacity: 1;

    @starting-style {
        scale: 0.75;
        opacity: 0;
    }
}

body:has(.property-features-with-popup__dialog[open]) { overflow: hidden; scrollbar-width: none; }
body:has(.property-features-with-popup__dialog[open])::-webkit-scrollbar { width:0; height:0; }
body:has(.property-features-with-popup__dialog[open])::-webkit-scrollbar-thumb:horizontal { background: transparent}
body:has(.property-features-with-popup__dialog[open])::-webkit-scrollbar-track { background-color: transparent}

.property-features-with-popup__dialog:not([open]) {
    scale: 0.75;
    opacity: 0;
    display: none; 
}

.property-features-with-popup__dialog:focus-visible {
    outline: none;
}

.property-features-with-popup__dialog::backdrop {
    background-color: rgba(0, 0, 0, 0.75);
}

.property-features-with-popup__dialog-overlay {
    z-index: 2;
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
}

.property-features-with-popup__dialog-button {
    position: relative;
    align-self: flex-end;
    position: relative;
    margin-bottom: 1rem;
}

/* For tablet landscape up */
@media (min-width: 900px) {
    .property-features-with-popup__dialog-button {
        margin-bottom: unset;
    }
}

.property-features-with-popup__dialog .property-features-with-popup__dialog-button button {
    width: 25px;
    height: 25px;
    text-align: center;
    line-height: 1.4;
    position: absolute;
    top: 0.5rem;
    right: 0.5rem;
    border-radius: 50%;
    color: var(--white);
}

/* For tablet landscape up */
@media (min-width: 900px) {
    .property-features-with-popup__dialog .property-features-with-popup__dialog-button button {    
        left: 0.5rem;
        right: unset;
    }
}

.property-features-with-popup__dialog .property-features-with-popup__dialog-button button:focus-visible {
    outline: none;
}

/* DIALOG CONTENT */
/* ============== */

.property-features-with-popup__dialog-content-wrapper {
    z-index: 2;
    position: relative;
    overflow: scroll;
    border-top-left-radius: 20px;
    border-top-right-radius: 20px;
    border-bottom-right-radius: 20px;
    background-color: var(--offwhite);
    scrollbar-width: none;
    touch-action: pan-y;
}

/* For tablet landscape up */
@media (min-width: 900px) {
    .property-features-with-popup__dialog-content-wrapper {
        width: 90%;
        overflow: hidden;
        margin-left: auto;
        margin-right: auto;
    }
}

.property-features-with-popup__dialog-content {
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.property-features-with-popup__dialog-content article {
    display: flex;
    flex-wrap: wrap;
    padding: 1rem;
    overflow: scroll;
    scrollbar-width: none;
    touch-action: pan-y;
    }

@media (min-width: 900px) {
    .property-features-with-popup__dialog-content article {
        height: 90dvh;
        padding: 2.5rem 2.5rem 0;
    }
}

.property-features-with-popup__dialog-main .swiper-slide figure {
    width: 100%;
    max-height: unset;
}

/* For tablet landscape up */
@media (min-width: 900px) {
    .property-features-with-popup__dialog-main .swiper-slide figure {
        max-width: unset;
    }
}

.property-features-with-popup__dialog-main .swiper-slide figure,
.property-features-with-popup__dialog-content-slider div figure,
.property-features-with-popup__dialog-content article header figure {
    aspect-ratio: 1 / 1;
}

@media (min-width: 900px) {
    .property-features-with-popup__dialog-main .swiper-slide figure,
    .property-features-with-popup__dialog-content-slider div figure,
    .property-features-with-popup__dialog-content article header figure {
        width: 40dvw;
        height: 60dvh;
        aspect-ratio: 5 / 4;
    }
}

.property-features-with-popup__dialog-main .swiper-slide section div figure img,
.property-features-with-popup__dialog-content-slider div figure img,
.property-features-with-popup__dialog-content article header img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-top-left-radius: 20px;
    border-top-right-radius: 20px;
}


.property-features-with-popup__dialog-main .swiper-slide figcaption,
.property-features-with-popup__dialog-content-slider .swiper-slide figcaption {
    position: absolute;
    bottom: 2%;
    right: 2%;
    font-family: var(--accent-font-family);
    font-size: 0.8em;
    text-transform: uppercase;
    text-align: right;
    color: var(--white);
}

.property-features-with-popup__dialog-content-slider .swiper-slide figcaption {
    bottom: unset;
    top: 2%;
}

/* For tablet landscape up */
@media (min-width: 900px) {
    .property-features-with-popup__dialog-main .swiper-slide figcaption,
    .property-features-with-popup__dialog-content-slider .swiper-slide figcaption {
        font-size: 1em;
    }
}

.property-features-with-popup__dialog-main .swiper-wrapper,
.property-features-with-popup__dialog-content-slider .swiper-wrapper {
    padding-top: unset;
}

/* SLIDER WITHIN DIALOG SLIDER */
/* =========================== */

.property-features-with-popup__dialog-content-slider .swiper-button-next {
    top: unset;
    bottom: 2%;
    margin-right: 0.50rem;
}

.property-features-with-popup__dialog-content-slider .swiper-pagination {
    bottom: 5%;
    text-align: left;
    padding-left: 1.05rem;
}

.property-features-with-popup__dialog-content-slider .swiper-pagination-bullet {
    background: transparent;
    border: 1px solid var(--white);
    opacity: unset;
}

.property-features-with-popup__dialog-content-slider .swiper-pagination-bullet-active {
    background-color: var(--white);
}

/* END OF SLIDER WITHIN DIALOG SLIDER */
/* ================================== */

.property-features-with-popup__dialog-content article footer {
    width: 100%;
    display: flex;
    flex-direction: column;
}

/* For tablet landscape up */
@media (min-width: 900px) {
    .property-features-with-popup__dialog-content article footer {
        width: 75%;
        flex-direction: unset;
        gap: unset;
        padding: 1rem;
    }
}

.property-features-with-popup__dialog-content .dialog-headers {
    display: flex;
    flex-wrap: wrap;
    flex-direction: column;
}

/* For tablet landscape up */
@media (min-width: 900px) {
    .property-features-with-popup__dialog-content .dialog-headers {
        width: 50%;
        justify-content: space-between;
        border-right: 1px solid var(--light-gray);
    }
}

.property-features-with-popup__dialog-content .dialog-headers div {
    border-bottom: 1px solid var(--light-gray);
}

.property-features-with-popup__dialog-content .dialog-headers div > h3, 
.property-features-with-popup__dialog-content .dialog-headers > p {
    padding-top: 1rem;
    padding-bottom: 1rem;
}

.property-features-with-popup__dialog-content .dialog-headers div > h3 {
    font-size: 1.7em;
}

/* For tablet landscape up */
@media (min-width: 900px) {
    .property-features-with-popup__dialog-content .dialog-headers div > h3 {
        width: 85%;
        font-size: 2.4em;
    }
}

.property-features-with-popup__dialog-content .dialog-headers div > p {
    font-size: 1.02em;
    font-family: var(--accent-font-family);
    font-weight: bold;
    text-transform: uppercase;
    padding-top: 1rem;
    padding-bottom: 1rem;
    border-top: 1px solid var(--light-gray);
    border-bottom: 1px solid var(--light-gray);
}

/* For tablet landscape up */
@media (min-width: 900px) {
    .property-features-with-popup__dialog-content .dialog-headers div > p {
        font-size: 1.15em;
        border-top: unset;
    }
}

.property-features-with-popup__dialog-content .dialog-headers > p {
    font-size: 1.02em;
    line-height: 1.4;
    padding-right: 2rem;
    color: #595959;
}

/* For tablet landscape up */
@media (min-width: 900px) {
    .property-features-with-popup__dialog-content .dialog-headers > p {
        font-size: 1.1em;
    }
}

.property-features-with-popup__dialog-content .dialog-specifications {
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 1rem;
}

/* For tablet landscape up */
@media (min-width: 900px) {
    .property-features-with-popup__dialog-content .dialog-specifications {
        width: 50%;
        padding-left: 2rem;
        gap: 0.75rem;
    }
}

.property-features-with-popup__dialog-content .dialog-specifications img {
    width: 50px;
    height: 50px;
    object-fit: cover;
}

.property-features-with-popup__dialog-content .dialog-specifications div {
    display: grid;
    grid-template-columns: auto 1fr;
    align-items: center;
    gap: 1rem;
}

/* For tablet landscape up */
@media (min-width: 900px) {
   .property-features-with-popup__dialog-content .dialog-specifications div {
        gap: unset;
    }
}

.property-features-with-popup__dialog-content .dialog-specifications div footer {
    width: 95%;
    display: flex;
    flex-direction: column;
}

.property-features-with-popup__dialog-content .dialog-specifications div footer p {
    font-size: 1.02em;
    font-family: var(--accent-font-family);
}

/* For tablet landscape up */
@media (min-width: 900px) {
   .property-features-with-popup__dialog-content .dialog-specifications div footer p {
        font-size: 1.1em;
        line-height: 1.2;
    }
}

/* DIALOG PATTERN */
/*================*/

.property-features-with-popup__dialog-pattern {
    z-index: -1;
    display: none;
    padding: unset;
}

/* For tablet landscape up */
@media (min-width: 900px) {
    .property-features-with-popup__dialog-pattern {
        width: 33%;
        height: 90dvh;
        display: block;
        position: absolute;
        top: 0;
        right: -8.50%;
    }
}

.property-features-with-popup__dialog-pattern img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: top left;
}